diff --git a/src/spec/services/registration_service_spec.rb b/src/spec/services/registration_service_spec.rb
index d30c69f..b26b7c6 100644
--- a/src/spec/services/registration_service_spec.rb
+++ b/src/spec/services/registration_service_spec.rb
@@ -17,7 +17,7 @@ describe RegistrationService do
       end
     end
 
-    it "should register a user with default pool/quota/role/template perms when default settings set" do
+    it "should register a user with default pool/quota/role perms when default settings set" do
       @user = Factory :user
       @pool = MetadataObject.lookup("self_service_default_pool")
       @role = MetadataObject.lookup("self_service_default_role")
@@ -33,8 +33,6 @@ describe RegistrationService do
 
       @user.quota.maximum_running_instances.should == @quota.maximum_running_instances
       @user.quota.maximum_total_instances.should == @quota.maximum_total_instances
-      BasePermissionObject.general_permission_scope.has_privilege(@user,Privilege::CREATE, LegacyTemplate).should == true
-      BasePermissionObject.general_permission_scope.has_privilege(@user,Privilege::USE, LegacyTemplate).should == true
     end
 
   end
@@ -53,7 +51,7 @@ describe RegistrationService do
         lambda do
           lambda do
             registration_process.save.should be_true
-          end.should change(Permission, :count).by(3)
+          end.should change(Permission, :count).by(2)
         end.should change(User, :count).by(1)
       end.should change(Quota, :count).by(1)
 
